Subject: Re: bug#22147: Obsolete search-forward-lax-whitespace

From: Artur Malabarba <[email-masked]>
Date: Sun, 13 Dec 2015 00:29:23 +0000

On 12 Dec 2015 11:31 pm, "Juri Linkov" <[email-masked]> wrote:
>
> Thanks, setting search-default-regexp-mode to #'search-whitespace-regexp
> gives the same effect.
>
> One drawback is that then it removes char-fold search.

True. I think it might also be possible to get what you want by just
setting the search-whitespace-regexp variable to "[ \t\r\n]+". That would
have the advantage of not removing char folding (and would reduce
everything to one line).

> Do you have a plan to combine lax-whitespace search
> with char-fold search?

Char-folding is perfectly compatible with the regular lax-whitespace.